package com.zcloud.service.onlinexxks;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：教师证书信息
 * 作者：luoxiaobao
 * 时间：2022-03-04
 * 官网：www.zcloudchina.com
 */
public interface TeacherCertificateService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception;


	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd)throws Exception;

	/**列表(根据教师ID获取证书数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData>  listByTeacher(PageData pd) throws Exception;

	/**删除(根据教师ID删除证书数据)
	 * @param pd
	 * @throws Exception
	 */
	void deleteByTeacher(PageData pd) throws Exception;

	/**删除(根据教师IDS删除证书数据)
	 * @param pd
	 * @throws Exception
	 */
	void deleteByTeacherAll(PageData pd) throws Exception;
}

